Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service.httptool
Class HttpToolServiceContext

    java.lang.Object
      things.thinger.service.httptool.HttpToolServiceContext

    public class HttpToolServiceContext

extends java.lang.Object

Context for a http session used by the service.

Version:
  1.0

  Version History

      EPG - Added by request.  Based on something from another tool - 13 DEC 08

Author:
  Erich P. Gatejen

Field Summary
`WhoAmI` | `id`
`java.net.Socket` | `link`
`HttpToolService` | `ownerService`
`java.lang.String` | `serveRoot`
`SystemInterface` | `si`

Constructor Summary
`HttpToolServiceContext(WhoAmI id, HttpToolService ownerService, java.net.Socket link, SystemInterface si, java.lang.String serveRoot)` Contructor.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    public WhoAmI id

### ownerService

    public HttpToolService ownerService

### link

    public java.net.Socket link

### si

    public SystemInterface si

### serveRoot

    public java.lang.String serveRoot

Constructor Detail

### HttpToolServiceContext

    public HttpToolServiceContext(WhoAmI id,
                                  HttpToolService ownerService,
                                  java.net.Socket link,
                                  SystemInterface si,
                                  java.lang.String serveRoot)
                           throws java.lang.Throwable

  Contructor.

  Parameters:
    `id` - ID for this connection. Used for logging.
    `ownerService` - The owning service.
    `link` - The socket link.
    `si` - A system interface.
    `serveRoot` - the file serve root. If null. files cannot be served.
  Throws:
    `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.